$INCLUDE: 'C:\FG\FASTGRAF.FI'

      PROGRAM MAIN

      INTEGER VOLUME
      INTEGER FG_TESTMODE

      CALL FG_INITPM
      IF (FG_TESTMODE(9,0) .EQ. 0) THEN
         STOP 'This program requires a PCjr or a Tandy 1000 system.'
      END IF

      WRITE(6,*) '2048 Hz periodic noise...'
      CALL FG_VOICE(4,2,15,3)
      CALL FG_WAITFOR(18)

      WRITE(6,*) '2048 Hz white noise...'
      CALL FG_VOICE(5,2,15,3)
      CALL FG_WAITFOR(18)

      WRITE(6,*) '500 Hz tone of increasing volume...'
      DO 10 VOLUME = 1,15
         CALL FG_VOICE(1,500,VOLUME,0)
         CALL FG_WAITFOR(4)
10    CONTINUE

      CALL FG_QUIET

      STOP ' '
      END
